using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Hawkeye.VisionBuilder.Features.ToolEditor
{
    public partial class ToolConfigurationRow : UserControl
    {
        private readonly Control _input;

        public ToolConfigurationRow(string name,Control input)
        {
            _input = input;
            InitializeComponent();
            label1.Text = name;
            panel1.Controls.Add(input);
            
        }

        protected override void OnResize(EventArgs e)
        {
            base.OnResize(e);
            _input.Width = this.Width - panel1.Left - 15;
        }
    }
}
